Crypto++ 8.2 Free C++ class library of cryptographic schemes

Classes | Macros | Functions | Variables
algparam.h File Reference

Classes for working with NameValuePairs. More...

Go to the source code of this file.

## Classes
class | ConstByteArrayParameter
| Used to pass byte array input as part of a NameValuePairs object. More...
class | ByteArrayParameter
| Used to pass byte array input as part of a NameValuePairs object. More...
class | CombinedNameValuePairs
| Combines two sets of NameValuePairs. More...
class | AlgorithmParametersBase
| Base class for AlgorithmParameters. More...
class | AlgorithmParametersBase::ParameterNotUsed
| Exception thrown when an AlgorithmParameter is unused. More...
class | AlgorithmParametersTemplate< T >
| Template base class for AlgorithmParameters. More...
class | AlgorithmParameters
| An object that implements NameValuePairs. More...

## Macros
#define | CRYPTOPP_GET_FUNCTION_ENTRY(name) (Name::name(), &ThisClass::Get##name)
#define | CRYPTOPP_SET_FUNCTION_ENTRY(name) (Name::name(), &ThisClass::Set##name)
#define | CRYPTOPP_SET_FUNCTION_ENTRY2(name1, name2) (Name::name1(), Name::name2(), &ThisClass::Set##name1##And##name2)

## Functions
CRYPTOPP_DLL bool | AssignIntToInteger (const std::type_info &valueType, void *pInteger, const void *pInt)
CRYPTOPP_DLL const std::type_info &CRYPTOPP_API | IntegerTypeId ()
template<class T >
AlgorithmParameters | MakeParameters (const char *name, const T &value, bool throwIfNotUsed=true)
| Create an object that implements NameValuePairs. More...

## Variables
CRYPTOPP_DLL_TEMPLATE_CLASS | AlgorithmParametersTemplate< bool >
CRYPTOPP_DLL_TEMPLATE_CLASS | AlgorithmParametersTemplate< int >
CRYPTOPP_DLL_TEMPLATE_CLASS | AlgorithmParametersTemplate< ConstByteArrayParameter >

## Detailed Description

Classes for working with NameValuePairs.

Definition in file algparam.h.

## Function Documentation

## ◆ MakeParameters()

template<class T >

AlgorithmParameters MakeParameters | ( | const char * | name,
|  | const T & | value,
|  | bool | throwIfNotUsed = `true`
| ) |  |

Create an object that implements NameValuePairs.

Template Parameters

  T | the class or type

Parameters

  name | the name of the object or value to retrieve
  value | reference to a variable that receives the value
  throwIfNotUsed | if true, the object will throw an exception if the value is not accessed

Note
  throwIfNotUsed is ignored if using a compiler that does not support std::uncaught_exception(), such as MSVC 7.0 and earlier.
  A NameValuePairs object containing an arbitrary number of name value pairs may be constructed by repeatedly using `operator()` on the object returned by `MakeParameters`, for example:

          AlgorithmParameters parameters = MakeParameters(name1, value1)(name2, value2)(name3, value3);

Definition at line 508 of file algparam.h.